X2Go Bug report logs - #525
x2goclient.exe shows "arrow and hourglass" cursor for 5 seconds during startup

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Stefan Baur <newsgroups.mail2@stefanbaur.de>

Date: Sat, 28 Jun 2014 17:45:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.2.1-pre01

Fixed in version 4.0.2.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Sat, 28 Jun 2014 17:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 28 Jun 2014 17:45:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: submit@bugs.x2go.org
Subject: x2goclient.exe shows "arrow and hourglass" cursor for 5 seconds during startup
Date: Sat, 28 Jun 2014 19:42:28 +0200
Package: x2goclient
Version: 4.0.2.1-pre01

Hi,

x2goclient for Windows up to 4.0.0.3 used to look "frozen" for a
fraction of a second during startup.

With 4.0.2.0, that annoying effect was suddenly gone, possibly due to
the change to the new pulseaudio version.
It is also not present in the nightlies up until 2014-06-11.

4.0.2.1-pre01 now exhibits a similar, slightly annoying behavior:

When run by double-click from a folder view, it displays an "arrow and
hourglass" cursor on Windows 7 x64 for approximately 5 seconds during
startup.

It does not happen when the same x2goclient.exe is run from the
commandline. There, response is instantaneous like in 4.0.2.0 and in the
nightlies up to 2014-06-11.

I have no explanation for that effect, but maybe one of our devs can
shed some light on this?

-Stefan


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Fri, 04 Jul 2014 08:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 525@bugs.x2go.org:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 04 Jul 2014 08:30:02 GMT) Full text and rfc822 format available.

Message #10 received at 525@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: 525@bugs.x2go.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Michael DePaulo <mikedep333@gmail.com>
Subject: Re: [X2Go-Dev] Bug#525: x2goclient.exe shows "arrow and hourglass" cursor for 5 seconds during startup
Date: Fri, 04 Jul 2014 10:21:06 +0200
Am 28.06.2014 19:42, schrieb Stefan Baur:

> 4.0.2.1-pre01 now exhibits a similar, slightly annoying behavior:
> 
> When run by double-click from a folder view, it displays an "arrow and
> hourglass" cursor on Windows 7 x64 for approximately 5 seconds during
> startup.
> 
> It does not happen when the same x2goclient.exe is run from the
> commandline. There, response is instantaneous like in 4.0.2.0 and in the
> nightlies up to 2014-06-11.
> 
> I have no explanation for that effect, but maybe one of our devs can
> shed some light on this?

To either confirm or rule out that Alex' recent changes to x2goclient
introduced this behavior, Mike#2 has agreed to provide a special test
build of x2goclient with

http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=76777fca627f287f8d721023a44646d13e13accb


(Alex' change that broke the nightlies) and

http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=093543e62d00d8b0dcfb36798fa48bd8757fb17e
(Alex' fix to make the nightlies work again)

removed.

If this fixes the issue, Mike#1 has already announced that he will
revert those changes from the code for the 4.0.2.1 release.

I volunteer as a tribute, err, as a guinea pig for the test build.

-Stefan


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Fri, 04 Jul 2014 09:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 525@bugs.x2go.org:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 04 Jul 2014 09:20:02 GMT) Full text and rfc822 format available.

Message #15 received at 525@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: 525@bugs.x2go.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Michael DePaulo <mikedep333@gmail.com>, Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, Mihai Moldovan <ionic@ionic.de>
Subject: Re: [X2Go-Dev] Bug#525: x2goclient.exe shows "arrow and hourglass" cursor for 5 seconds during startup
Date: Fri, 04 Jul 2014 11:15:22 +0200
Am 04.07.2014 10:21, schrieb Stefan Baur:
>> 4.0.2.1-pre01 now exhibits a similar, slightly annoying behavior:
>>
>> When run by double-click from a folder view, it displays an "arrow and
>> hourglass" cursor on Windows 7 x64 for approximately 5 seconds during
>> startup.
>>
>> It does not happen when the same x2goclient.exe is run from the
>> commandline. There, response is instantaneous like in 4.0.2.0 and in the
>> nightlies up to 2014-06-11.
>>
>> I have no explanation for that effect, but maybe one of our devs can
>> shed some light on this?
> 
> To either confirm or rule out that Alex' recent changes to x2goclient
> introduced this behavior, Mike#2 has agreed to provide a special test
> build of x2goclient with
> 
> http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=76777fca627f287f8d721023a44646d13e13accb
> 
> 
> (Alex' change that broke the nightlies) and
> 
> http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=093543e62d00d8b0dcfb36798fa48bd8757fb17e
> (Alex' fix to make the nightlies work again)
> 
> removed.
> 
> If this fixes the issue, Mike#1 has already announced that he will
> revert those changes from the code for the 4.0.2.1 release.
> 
> I volunteer as a tribute, err, as a guinea pig for the test build.

Okay, Mike#2 provided the build
(http://code.x2go.org/releases/binary-win32/x2goclient/previews/4.0.2.1/x2goclient-4.0.2.1-pre03-setup.exe),
I tested it, bug is gone.
So we have identified the two commits that introduced it.

@Mike#1:
1) Please remove them from the official tree for 4.0.2.1, as per your
previous offer to do so.

2) Please discuss the proper way to re-introduce them in a way that
doesn't influence startup time negatively with Alex and possibly Mihai.
Mihai seemed to have a few suggestions as to how to solve the issue - me
being anything but a C/C++ expert, I can't comment on their quality,
though my gut feeling is that he may be right - after all, he has proven
to be an able coder previously (Cowbytes and Endians ...).

-Stefan


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Tue, 08 Jul 2014 15:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 08 Jul 2014 15:30:02 GMT) Full text and rfc822 format available.

Message #20 received at 525@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 525-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 525@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Tue, 8 Jul 2014 17:28:38 +0200 (CEST)
tag #525 pending
fixed #525 4.0.2.1
thanks

Hello,

X2Go issue #525 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=5bb4a33

The issue will most likely be fixed in src:x2goclient (4.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 5bb4a331fed1f1891a9ff176ae4f0221ba4a4c6b
Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Date:   Tue Jul 8 17:27:59 2014 +0200

    Add x2gohelper to start X2Go Client on Windows and clean child processes if X2Go Client crashes. (Fixes: #525).

diff --git a/debian/changelog b/debian/changelog
index f4e8419..8551493 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -53,6 +53,8 @@ x2goclient (4.0.2.1-0x2go1) UNRELEASED; urgency=low
     - Update string "&Clipboard Mode" and translate in russian translation file.
     - Grammar fix in russian translation.
     - Fix "fullscreen" mode on Windows 7 with multiple monitors.
+    - Add x2gohelper to start X2Go Client on Windows and clean child processes if
+      X2Go Client crashes. (Fixes: #525).
 
   [ Mike DePaulo ]
   * New upstream release (4.0.2.1):


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 08 Jul 2014 15:30:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.2.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 08 Jul 2014 15:30:02 GMT) Full text and rfc822 format available.

Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#525. (Tue, 08 Jul 2014 15:30:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Fri, 19 Sep 2014 12:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 19 Sep 2014 12:25:02 GMT) Full text and rfc822 format available.

Message #32 received at 525@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 525@bugs.x2go.org
Subject: Bug#525: x2goclient.exe shows "arrow and hourglass" cursor for 5 seconds during startup
Date: Fri, 19 Sep 2014 14:16:55 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

I'd like to report that this bug is still present in the windows
nightly build x2goclient-4.0.3.0-2014.09.17-0e3aff0 - it's even worse
than before, as the 5-second-arrow-and-hourglass cursor now also
appears when running x2goclient.exe from the command line, not only
when starting it via GUI.

- -Stefan
- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (MingW32)

iQEcBAEBAgAGBQJUHB63AAoJEG7d9BjNvlEZpqAH/2eFgHhm1NhslpeZhE1Dw9gZ
4iQ94dTRaU2g2N+2GhkwxaIm+EpIStclVWby213ZxioD5DJLqrqI7hcZEUnWPwsC
NBd5eaiDhiygGz34dKZJVFL2lof6pUi1yy0UBmQsn8lAwpUC3R09pE5gASHPos5E
Bc1IHpzx0GQS++QRzkasKfmznG5s9r9iRetwX1WF9voTtSOaCP9hzgYgM0Fi7OAP
n0UvCqlE178id2VpI4/O0bS9xpanEODg1hTtlEMA9iF7rBuBsZWy4Xu5R8C7Qhlj
aHY1I0TIDzMQsyEhOyNINwepNj9M3wpUfw3ybT1wvGKMTGt9OpNv7xTGAH4oKDo=
=WMbq
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Fri, 19 Sep 2014 13:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 19 Sep 2014 13:20:02 GMT) Full text and rfc822 format available.

Message #37 received at 525@bugs.x2go.org (full text, mbox):

From: Mike DePaulo <mikedep333@gmail.com>
To: 525@bugs.x2go.org, Stefan Baur <X2Go-ML-1@baur-itcs.de>
Subject: Bug#525 - cloning for x2goclient 4.0.3.0
Date: Fri, 19 Sep 2014 09:16:54 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Control: clone -1 -2
Control: retitle -2 x2goclient.exe 4.0.3.0 shows "arrow and hourglass" cursor for 5 seconds during startup
Control: affects -2 x2goclient
Control: found -2 4.0.3.0-2014.09.17-0e3aff0

On 09/19/14 08:16, Stefan Baur wrote:
> Hi,
> 
> I'd like to report that this bug is still present in the windows nightly build x2goclient-4.0.3.0-2014.09.17-0e3aff0 - it's even worse than before, as the 5-second-arrow-and-hourglass cursor now also appears when running x2goclient.exe from the command line, not only when starting it via GUI.
> 
> -Stefan

Cloning for 4.0.3.0

I should point out that my home desktop is not affected.

My home desktop:
Windows 8.1 64-bit with all important, recommended & optional updates installed.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.14 (GNU/Linux)

iF4EAREIAAYFAlQcLMYACgkQIFy22CVQsisx4gD8DKSoP/uAViIQvQJlWESP2xgV
CIHeF8G41b27crcgP50A/26OZCagZt05ZNj1tqhaPPam3gZR3kNqR3MLUJ/jv1Ou
=jzGj
-----END PGP SIGNATURE-----


Bug 525 cloned as bug 616 Request was from Mike DePaulo <mikedep333@gmail.com> to 525-submit@bugs.x2go.org. (Fri, 19 Sep 2014 13:20:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Tue, 21 Oct 2014 11:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 21 Oct 2014 11:30:08 GMT) Full text and rfc822 format available.

Message #44 received at 525@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 525-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 525@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Tue, 21 Oct 2014 13:26:11 +0200 (CEST)
close #525
thanks

Hello,

we are very hopeful that X2Go issue #525 reported by you
has been resolved in the new release (4.0.3.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.3.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=04ed56d4162f000b093bea13aa2582c2de718144;hp=85bf0c6e7539910fff779689528009a897cdceb4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.3.0-0x2go1
Status: RELEASE
Date: Tue, 21 Oct 2014 12:38:56 +0200
Fixes: 108 159 253 258 336 474 522 525 566 568 571 580 587 590 597 603 607 608 609 612 636
Changes: 
 x2goclient (4.0.3.0-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.3.0):
     - Disallow server-side users to override X2Go Server commands via
       ~/bin (or similar). (Fixes: #336).
     - Avoid unitialised variables on early calls of ONMainWindow::closeEvent()
       or ONMainWindow::closeClient(). (Fixes: #253).
     - Update translation files. Add empty Portuguese translation. Update
       qt_<lang>.qm files from Debian unstable as of today.
     - Update German translation file (after session folder feature got added).
     - Makefile.man2html: Test if man2html exists. If not, don't fail.
     - Honor exports (client-side shared folders) from broker session profiles.
       Thanks to Ming Song for providing a patch for this (Fixes: 612).
   * debian/control:
     + Add B-D: apache2-dev. On squeeze / lucid builds, this is a superfluous
       B-D, but for later Debian/Ubuntu versions, this smoothes the installation
       of the x2goplugin-provide bin:package.
     + Update B-D: apache2-dev | libc6-dev. The apache2-dev package does not
       exist on all Debian/Ubuntu versions.
   * x2goclient.spec:
     + Adapt to building for openSUSE/SLES.
     + openSUSE: Make Qt4 Linguist tools available for Makefile.
     + Upgrade versioned BR for libssh-devel (0.6.3 or patched 0.5.5).
     + The libqt4-linguist split off happened in openSUSE 13.1.
     + Add x2goclient-rpmlintrc file.
     + In openSUSE, it is openldap2-devel, in Fedora/RHEL it is openldap-devel.
     + In openSUSE, openssh is openssh (not openssh-clients / openssh-server).
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.3.0):
     - Fix running x2goclient without arguments on Windows. (Fixes: #522).
     - Save proxy output in $HOME/S-$SESSION-ID/session.log if debugging is
       enabled.
     - Fork x2goclient on windows and terminate child processes if X2Go Client
       crashed. (Fixes: #159).
     - Add "clipboard" parameter to session profile and to command line options.
       (Fixes: #258).
     - Replace qCritical() with printError() by argument parsing.
     - Update translation files.
     - Update russian translation.
     - Update string "&Clipboard Mode" and translate in russian translation file.
     - Grammar fix in russian translation.
     - Add x2gohelper to start X2Go Client on Windows and clean child processes
       if X2Go Client crashes. (Fixes: #525).
     - On Windows rename x2goclient.exe to x2goclient-mainprocess.exe and
       x2gohelper.exe to x2goclient.exe.
     - Start x2gohelper from X2Go Client. Revert name changing of X2Go Client and
       x2gohelper.
     - Add Makefile for x2gohelper.
     - Add support for sessions folders.
     - Add folder explorer: a GUI to manage of session subfolders.
     - Support for sessions subfolders in sessionmanagedialog.
     - Session name autocompletion only for sessions in current folder.
     - Support for session subfolders and command-line options "--session"
       and "--sessionid".
     - Disable session explorer "back" button if user sessions are disabled.
     - Include <QDir> in sessionexplorer.cpp.
     - Remove deprecated workaround in wapi.cpp.
     - Save folder icons Base64 coded. Save icons under General\icon_<PATH>.
       (Fixes: #580).
     - Fix placing sessions folders in broker mode.
     - Fix onmainwindow.cpp after 76ae96781f1d2d5754ee4751539d5de47f1d0297.
     - Add support for session selection in broker mode.
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.3.0):
     - Make X2Go Client aware of the Cinnamon (CINNAMON) desktop environment.
       (Fixes: #571)
     - Make X2Go Client aware of the Trinity (TRINITY) desktop environment.
       (Fixes: #609)
     - Make X2Go Client aware of the Openbox (OPENBOX) window manager.
       (Fixes: #607)
     - Make X2Go Client aware of the IceWM (ICEWM) window manager.
       (Fixes: #608)
     - Windows: Fix not being able to add the server to the known_hosts file when
       the username has non-English characters. (Fixes: #566)
       (NOTE: This fix only works when the non-English characters are in the same
       language as the Windows "system locale" AKA "Language for non-Unicode
       programs." Bug #611 was written for fixing the issue for languages other
       than the system locale.)
       Thanks George Trakatelis (uom.edu.gr) for submitting part of this fix.
     - Windows: Install VcXsrv "misc" fonts by default, and make all 4 font
       groups optional: misc, 75dpi, 100dpi and others (Fixes: #108)
       Note: The fact that all the fonts are included makes the installer about
       30MB larger.
     - Windows: Bundle new version of VcXsrv: 1.15.2.1-xp+vc2013+x2go1
       This new version is based on upstream VcXsrv 1.15.2.0, but still
       compatible with Windows XP. It also has its bundled OpenSSL updated to
       1.0.1j. It is compiled with Microsoft Visual C++ 2013 and contains 1
       X2Go-specific change, winmultiwindow.patch. This patch fixes an issue
       when resizing the NX-proxy window on specific multiple monitor setups.
       (Thanks Oleksandr Shneyder for the patch) (Fixes: #568) (Fixes: #594)
     - Windows: Port from MinGW 4.4 + Qt 4.8.5 to MinGW 4.8.2 + Qt 4.8.6,
       including fix for QTBUG-38706 (Fixes: #474, #603)
     - Windows: Fix missing VcXsrv/zlib1.dll . The impact of this bug was that
       VcXsrv would not start if the cwd was changed from the x2goclient
       directory. (The start menu and desktop shortcuts do have the x2goclient
       directory as the cwd. So they were not affected.) (Fixes: #587)
     - Windows: Make the desktop shortcut optional during install,
       but still the default.
     - Windows: Upgrade libssh from 0.5.5 to 0.6.3. This fixes connecting to
       hpn-enabled SSH servers. The Pageant support patch from the KDE Windows
       project was ported to 0.6.3 by myself and Mike Frederick.
       (Gmail: psududemike) (Fixes: #590)
     - Windows: Win32 OpenSSL updated from 1.0.1h to 1.0.1j, which fixes the
       CVEs announced on 2014-08-06 & 2014-10-15.
     - Windows: Replace Cygwin Bash (sh.exe) with Cygwin Dash (ash.exe renamed
       to sh.exe). This also means fewer Cygwin .DLLs are bundled.
       (Fixes: #636)
     - Windows: cygwin packages (excluding OpenSSH, which is at the patched
       version of 6.6.1p1-3-x2go1) updated from latest versions as of 2014-06-09
       to latest versions as of 2014-10-18. This includes openssl 1.0.1j-1, which
       fixes the CVEs announced on 2014-08-06 & 2014-10.15.
       (Cygwin openssl was also individually updated in 4.0.2.1+hotfix1+build2,
       but only to 1.0.1i-1.)
     - Windows: Build nxproxy.exe with Cygwin's libpng 1.5.x rather than 1.2.x.
       (This may improve performance when PNG compression is selected.)
     - Windows: Build cygwin openssh without krb5 or tcp_wrappers support because
       X2Go Client for Windows does not use either feature.
       (On Windows, Kerberos 5 (GSSAPI) support is provided by PuTTY.)
     - Windows: Fix text not being rendered properly at end of NSIS installer
       (Fixes: #597)
 .
   [ Stefan Baur ]
   * New upstream version (4.0.3.0):
     - Update German translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.3.0):
     - Update Spanish translation file.
 .
   [ Martti Pitkanen ]
   * New upstream version (4.0.3.0):
     - Update Finnish translation file.
 .
   [ Jos Wolfram ]
   * New upstream version (4.0.3.0):
     - Update Dutch translation file.
 .
   [ Robert Parts ]
   * New upstream version (4.0.3.0):
     - Add Estonian translation file.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (4.0.3.0):
     - Update Bokmal (Norway) translation file.
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.3.0):
     - Update Swedish translation file.
 .
   * Translation status:
     OK - Updating 'x2goclient/x2goclient_de.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     INCOMPLETE - Updating 'x2goclient/x2goclient_da.qm'...
       Generated 536 translation(s) (526 finished and 10 unfinished)
       Ignored 30 untranslated source text(s)
     OK - Updating 'x2goclient/x2goclient_es.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     OK - Updating 'x2goclient/x2goclient_et.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     OK - Updating 'x2goclient/x2goclient_fi.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     INCOMPLETE - Updating 'x2goclient/x2goclient_fr.qm'...
       Generated 254 translation(s) (201 finished and 53 unfinished)
       Ignored 312 untranslated source text(s)
     OK - Updating 'x2goclient/x2goclient_nb_no.qm'...
        Generated 566 translation(s) (566 finished and 0 unfinished)
     OK - Updating 'x2goclient/x2goclient_nl.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     UNTRANSLATED - Updating 'x2goclient/x2goclient_pt.qm'...
       Generated 0 translation(s) (0 finished and 0 unfinished)
       Ignored 566 untranslated source text(s)
     INCOMPLETE - Updating 'x2goclient/x2goclient_ru.qm'...
       Generated 552 translation(s) (543 finished and 9 unfinished)
       Ignored 14 untranslated source text(s)
     OK - Updating 'x2goclient/x2goclient_sv.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     INCOMPLETE - Updating 'x2goclient/x2goclient_zh_tw.qm'...
       Generated 397 translation(s) (372 finished and 25 unfinished)
       Ignored 169 untranslated source text(s)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 21 Oct 2014 11:30:21 GMT) Full text and rfc822 format available.

Notification sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug acknowledged by developer. (Tue, 21 Oct 2014 11:30:22 GMT) Full text and rfc822 format available.

Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#525. (Tue, 21 Oct 2014 11:30:43 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 19 Nov 2014 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Jul 18 18:06:27 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.